<template>
  <div class="fixed inset-0 z-20 bg-primary overflow-auto">
    <main class="max-w-quiz mx-auto shadow-2xl relative">
      <div class="bg-white pb-6 pt-8 px-5">
        <h1 class="mb-3">{{ referTitle }}</h1>
        <p class="text-base mb-5 whitespace-pre-wrap">{{ referInfo }}</p>
        <p class="text-base mb-3">Did you make a mistake?</p>
        <CommonBtn
          text="Change your answer"
          @click="clearRefer"
          class="mb-5"
        />
        <p class="text-base">For further assistance, or to speak to a patient care specialist, call (877) 907-4047</p>
      </div>
      <div class="py-6 px-5">
        <p class="mb-3 text-xs uppercase text-black-dark title">LOOKING FOR SOMETHING ELSE?</p>
        <p class="mb-5 text-base">Check out our selection of ready-to-order products:</p>
        <div class="space-y-3 mb-8">
          <div
            class="rounded-lg bg-white flex space-x-5 p-5"
            v-for="item in itemsToOrder"
            :key="item.title"
          >
            <img class="object-contain" :src="item.img" alt="" width="100px">
            <div class="flex-auto">
              <div class="mb-1 text-base">{{ item.title }}</div>
              <p class="mb-3 text-xs text-grey-dark">{{ item.description }}</p>
              <section class="flex items-center justify-between">
                <div
                  class="flex items-center py-3 px-5 rounded-md cursor-pointer border border-red font-bold text-sm"
                >
                  <div>Shop Now</div>
                </div>
              </section>
            </div>
          </div>
        </div>
      </div>
    </main>
  </div>
</template>

<script>
import CommonBtn from "@/components/common/CommonBtn";
import {referMixin} from "@/utils/mixins";
export default {
  mixins: [referMixin],
  name: "ReferOutModal",
  components: {CommonBtn},
  data() {
    return {
      itemsToOrder: [
        {id: 0, img: require("@/assets/img/misc/performance-wipes.png"), title: 'Performance Wipes', description: 'Last longer during sex with these fast acting wipes', oldPrice: 26.95, newPrice: 14.95},
        {id: 1, img: require("@/assets/img/misc/prebiotic.png"), title: 'Beta Glucan Prebiotic', description: 'Boost your immune system and overall health with these daily capsules', oldPrice: 42.95, newPrice: 24.95},
      ]
    }
  },
  computed: {
    referTitle() {
      return this.refer?.title ?? 'ERR'
    },
    referInfo() {
      return this.refer?.info ?? 'ERR'
    }
  }
}
</script>

<style scoped>
.title {
  letter-spacing: 1.2px;
}
</style>
